Bug 8383 - Add new users to cdrom and cdwriter groups by default
: Add new users to cdrom and cdwriter groups by default
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest blocker
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 8283
  Show dependency treegraph
 
Reported: 2017-10-04 14:43 MSD by Andrey Bondrov
Modified: 2017-10-10 08:49 MSD (History)
1 user (show)

See Also:
RPM Package: userdrake accountsservice
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2017-10-04 14:43:52 MSD
At this moment userdrake adds users to "users" and "sambashare" groups by default. And accountsservice doesn't add users to any default groups (except for "wheel" if requested).

We need to make both userdrake and accountsservice add users to "users", "sambashare", "cdrom" and "cdwriter" groups by default.
Comment 1 Andrey Bondrov 2017-10-04 14:50:21 MSD
Advisory: "Userdrake should add users to 'users', 'sambashare', 'cdrom' and 'cdwriter' groups by default."

https://abf.rosalinux.ru/build_lists/2899083
https://abf.rosalinux.ru/build_lists/2899084

Advisory: "AccountsService should add users to 'users', 'sambashare', 'cdrom' and 'cdwriter' groups by default. Also update it to new bugfix version 0.6.45."

https://abf.rosalinux.ru/build_lists/2899087
https://abf.rosalinux.ru/build_lists/2899088
Comment 3 Vladimir Potapov 2017-10-05 13:48:19 MSD
при тестах наткнулся на ошибку (не регрессию, но все же)
Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated at /usr/sbin/userdrake line 498.
Ошибка создания `/home/tester': Error creating `/home/tester': Файл существует at /usr/sbin/userdrake line 472.
libuser fatal error: lu_mail_spool_create() called with non-NULL *error


Если пользователь был удален а почта-домашняя папка существуют, то его восстановить нельзя. Судя по всему, дело не в домашней папке, а в 
/var/spool/mail/
Comment 4 Vladimir Potapov 2017-10-09 06:30:36 MSD
патч не помогает. Т.к. не регрессия - пропускаю, но надо как-нибудь исправить
Comment 5 Vladimir Potapov 2017-10-09 06:37:37 MSD
(In reply to comment #4)
> патч не помогает. Т.к. не регрессия - пропускаю, но надо как-нибудь исправить
В GNOME группы не добавляются (в том числе и sambashare)
Comment 6 Andrey Bondrov 2017-10-09 07:05:32 MSD
(In reply to comment #4)
> патч не помогает. Т.к. не регрессия - пропускаю, но надо как-нибудь исправить

Поставь тогда статус, что одобрено?
Comment 7 Vladimir Potapov 2017-10-09 07:52:19 MSD
userdrake-1.14-10
https://abf.rosalinux.ru/build_lists/2899083
https://abf.rosalinux.ru/build_lists/2899084

accountsservice-0.6.45-1
https://abf.rosalinux.ru/build_lists/2899087
https://abf.rosalinux.ru/build_lists/2899088
************************** Advisory ***********************
Userdrake should add users to 'users', 'sambashare', 'cdrom' and 'cdwriter' groups by default.AccountsService should add users to 'users', 'sambashare', 'cdrom' and 'cdwriter' groups by default. Also update it to new bugfix version 0.6.45
***********************************************************
QA Verified